version: 1
frontend:
  phases:
    preBuild:
      commands:
        - yarn install
        - npm install gatsby-cli -g
    build:
      commands:
        - yarn workspace gatsby-debug-log generate amplify | envsubst | tee packages/husky-site/.env.platform
        - yarn build
  artifacts:
    baseDirectory: /packages/husky-site/public/
    files:
      - '**/*'
